
/* @(#)xbdfdump.h 1.1 5/25/92 CNM-US; C header */

/************************************************************************

Copyright (c) 1992 Juan D. Martin
Copyright (c) 1992 Centro Nacional de Microelectronica
Copyright (c) 1992 Universidad de Sevilla

Permission to use, copy, modify, distribute, and sell this software and
its documentation for any purpose is hereby granted without fee,
provided that (i) the above copyright notices and this permission
notice appear in all copies of the software and related documentation,
and (ii) the names of Centro Nacional de Microelectronica and
Universidad de Sevilla may not be used in any advertising or publicity
relating to the software without the specific, prior written
permission.

THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

IN NO EVENT SHALL THE AUTHOR, CENTRO NACIONAL DE MICROELECTRONICA OR
UNIVERSIDAD DE SEVILLA BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

************************************************************************/
#define MAXLINELEN 1024
#define MAXFILENAME 256

extern Display *theDisplay;
extern Screen  *theScreen;
extern Drawable theDrawable;
extern GC       theGC;
extern Window   theRootWindow;
extern Pixmap   thePixmap;
extern XFontStruct *theFontStruct;
extern Font     theFont;
extern char    *theFontName;
extern FILE    *theFile;
extern char    *theFileName;
extern Atom     Xa_Resolution_X;
extern Atom     Xa_Resolution_Y;
extern Atom     Xa_Pixel_Size;
extern unsigned pixmapWidth;
extern unsigned pixmapHeight;
extern unsigned pixmapDepth;
extern unsigned fontWidth;
extern unsigned fontHeight;
extern unsigned fontMin1;
extern unsigned fontMax1;
extern unsigned fontMin2;
extern unsigned fontMax2;
extern Bool     fontIsTwoByte;
extern unsigned fontResolutionY;
extern unsigned fontPointSize;
extern unsigned charsInFont;

Bool            read_property_formats();
void            draw_char();
void            scan_char();
void            print_property();
unsigned        index_to_encoding();
void            xbdfdump();
void            print_header();
